The URLRequestMethod class provides values that specify whether the URLRequest object should use the `POST` method or the `GET` method when sending data to a server.

## Index

### Enumeration members

- DELETE
- GET
- HEAD
- OPTIONS
- POST
- PUT

## Enumeration members

### DELETE

DELETE: = "DELETE"

- Defined in lib/openfl/net/URLRequestMethod.d.ts:13

Specifies that the URLRequest object is a `DELETE`.

### GET

GET: = "GET"

- Defined in lib/openfl/net/URLRequestMethod.d.ts:18

Specifies that the URLRequest object is a `GET`.

### HEAD

HEAD: = "HEAD"

- Defined in lib/openfl/net/URLRequestMethod.d.ts:23

Specifies that the URLRequest object is a `HEAD`.

### OPTIONS

OPTIONS: = "OPTIONS"

- Defined in lib/openfl/net/URLRequestMethod.d.ts:28

Specifies that the URLRequest object is `OPTIONS`.

### POST

POST: = "POST"

- Defined in lib/openfl/net/URLRequestMethod.d.ts:38

Specifies that the URLRequest object is a `POST`.

Note: For content running in Adobe AIR, when using the `navigateToURL()` function, the runtime treats a URLRequest that uses the POST method(one that has its `method` property set to `URLRequestMethod.POST`) as using the GET method.

### PUT

PUT: = "PUT"

- Defined in lib/openfl/net/URLRequestMethod.d.ts:43

Specifies that the URLRequest object is a `PUT`.

Generated using TypeDoc